Subject: Re: ppc_sys.c with platform device model or create opb bus?

From: Grant Likely <[email-masked]>
Date: Sat, 23 Jul 2005 13:03:45 -0400

On 7/17/05, Yasushi SHOJI <[email-masked]> wrote:
> I feel that the ppc_sys_spec is for SoC, which doesn't dynamically
> change the peripherals it has.  otoh, fpga based platform can have
> arbitrary number of devices if you configured so.
>=20
> I usually implement a device with PLB or OPB.  for those bus, should I
> use platform device model or create new buses for each?
ppc_sys is just a convenient wrapper around the platform device model.
 You can safely ignore ppc_sys if your board setup code calls
platform_device_register() for all of your devices directly.

Besides, as ppc moves to the flattened device tree for initializing
the platform bus, the whole ppc_sys stuff will be going away and the
device tree parsing code will call platform_device_* directly.

Cheers,
g.